- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_Elm_Widget_Smart_Data Struct Reference
Widgets Extension Infrastructure

Base widget smart data. More...

## Data Fields
const char * | focus_highlight_style
| custom focus style for a widget
Eina_Bool | on_translate: 1
| This is true when any types of elm translate function is being called. More...
Eina_Bool | on_create: 1
| This is true when the widget is on creation(general widget constructor). More...

## Detailed Description

Base widget smart data.

This is data bound to an Elementary object instance, so its particular to that specific object and not shared between all objects in its class. It is here, though, that we got a pointer to the object's class, the first field – `'api'`.

## Field Documentation

Eina_Bool _Elm_Widget_Smart_Data::on_create

This is true when the widget is on creation(general widget constructor).

Eina_Bool _Elm_Widget_Smart_Data::on_translate

This is true when any types of elm translate function is being called.